SimpleXMLIterator
SplDoublyLinkedList
SimpleXMLIterator
PHP Manual

# SimpleXMLIterator::valid

(PHP 5 >= 5.1.3)

SimpleXMLIterator::valid — Check whether SimpleXML contains more entries

### Description

bool SimpleXMLIterator::valid ( void )
Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if contains more SimpleXML entries, otherwise `FALSE`

SimpleXMLIterator
SplDoublyLinkedList
SimpleXMLIterator
PHP Manual